All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery
Class IQueryServicesRuntimeException

    com.sas.iquery.IQueryServicesRuntimeException

All Implemented Interfaces:
  com.sas.util.LocalizableToStringInterface, java.io.Serializable

Direct Known Subclasses:
  MetadataNotChangeableException, MetadataUnresolvedException

    public class IQueryServicesRuntimeException

implements com.sas.util.LocalizableToStringInterface

Originally based on LocalizableException.

Since:
  SAS v920
See Also:
  `IQueryServicesException`, Serialized Form

Constructor Summary
`IQueryServicesRuntimeException(java.lang.String message)` Create a IQueryServicesRuntimeException instance with a default message.
`IQueryServicesRuntimeException(java.lang.String message, java.lang.Throwable cause)` Create a IQueryServicesRuntimeException instance with a default message and cause.
`IQueryServicesRuntimeException(java.lang.Throwable cause)` Create a IQueryServicesRuntimeException instance with a chained message and cause.

Method Summary
`java.lang.String` | `getMessage()` Return the exception message using the default locale, `Locale.getDefault()`.

Constructor Detail

### IQueryServicesRuntimeException

    public IQueryServicesRuntimeException(java.lang.String message)

  Create a IQueryServicesRuntimeException instance with a default message. If you use this constructor, you should use setMessage() to set all the properties necessary for making a localizable message. Consider using the parameterized constructor instead.

  Parameters:
    `message` -
  See Also:
    `#setMessage(ClassLoader classLoader, String bundleName, String resourceName, Object[] args)`, `#IQueryServicesException(MessageFormatter message)`

### IQueryServicesRuntimeException

    public IQueryServicesRuntimeException(java.lang.Throwable cause)

  Create a IQueryServicesRuntimeException instance with a chained message and cause. If you use this constructor, you should use setMessage() to set all the properties necessary for making a localizable message. Consider using the parameterized constructor instead.

  Parameters:
    `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
  See Also:
    `#setMessage(ClassLoader classLoader, String bundleName, String resourceName, Object[] args)`, `#IQueryServicesException(MessageFormatter message)`

### IQueryServicesRuntimeException

    public IQueryServicesRuntimeException(java.lang.String message,
                                          java.lang.Throwable cause)

  Create a IQueryServicesRuntimeException instance with a default message and cause. If you use this constructor, you should use setMessage() to set all the properties necessary for making a localizable message. Consider using the parameterized constructor instead.

  Parameters:
    `message` -
    `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
  See Also:
    `#setMessage(ClassLoader classLoader, String bundleName, String resourceName, Object[] args)`, `#IQueryServicesException(MessageFormatter message)`

Method Detail

### getMessage

    public java.lang.String getMessage()

  Return the exception message using the default locale, `Locale.getDefault()`.

  Overrides:
    `getMessage` in class `java.lang.Throwable`

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.